<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="cn.com.countrygarden.bi.main.dao.review.ReviewQuestionnaireProblemTypeMapper">
	<!-- 通用查询映射结果 -->
	<resultMap id="BaseResultMap"
		type="cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblemType">
		<id column="id" property="id" />
		<result column="NAME" property="name" />
		<result column="orderxu" property="orderxu" />
		<result column="flag" property="flag" />
		<result column="create_by" property="createBy" />
		<result column="create_time" property="createTime" />
		<result column="update_by" property="updateBy" />
		<result column="update_time" property="updateTime" />
	</resultMap>

	<select id="selectQuestionnaireProblemTypeVo"
		resultType="cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireProblemTypeVo" parameterType="int">
		select t.id,t.name label from `review_questionnaire_problem_type` t where t.id in
		(select i.review_questionnaire_problem_type_id from  investigationmanagement_ref_problem_type i where i.investigationmanagement_id=#{investigationmanagementId})

	</select>


</mapper>